MediaWiki 1.27

From MediaWiki.org
Jump to navigation Jump to search
This page is a translated version of the page MediaWiki 1.27 and the translation is 65% complete.

Outdated translations are marked like this.
Other languages:
Bahasa Indonesia • ‎Deutsch • ‎English • ‎Tiếng Việt • ‎dansk • ‎español • ‎français • ‎italiano • ‎magyar • ‎polski • ‎português • ‎português do Brasil • ‎čeština • ‎русский • ‎中文 • ‎日本語 • ‎한국어

MediaWiki 1.27 は MediaWiki の旧バージョンです。 変更点の完全な一覧は リリース ノート を参照してください。 2015 年 9 月から 2016 年 3 月にかけて、漸進する "1.27.0-wmf.NN" ブランチを通じ、ウィキメディア財団のウィキ群に展開されました(各ブランチの詳細)。

1.27.0 の安定版リリースは 2016 年 6 月 28 日に行われました[1]。これは 3 年間サポートされる Long Term Support リリース(LTS)になります。

最新リリースをダウンロードするか、またはGit 内REL1_27 ブランチをチェックアウトしてこのリリースに追随してください。

新機能

InstantCommons made easier and cheaper

インスタントコモンズ will now truly work out of the box, as long as your users can connect to upload.wikimedia.org: thumbnails will be served from that domain instead of requiring local generation (gerrit:251556).

More documentation translation

Translate 拡張機能への移行作業が継続しており、約 3000 ページで使用されています。 翻訳文のサイズは数メガバイトまで増加しました。 Thanks go to our tireless translation administrators and translators but also to Google Code-in 2015 students, in particular IoannisKydonis who migrated thousands of translations including the entire Manual:FAQ.

MediaWiki 管理者向けのアップグレードの注意点

後方互換性のない変更

  • MediaWiki は現在最低でも PHP 5.5.9 を必要とします。これは HHVM 3.1 と対応します[2]
  • The mbstring PHP extension is now required.
  • PHP 拡張機能 opensslmcrypt の両方が利用不可の場合は、secure session storage(ログインに使用)が例外を発します。この例外は $wgSessionInsecureSecrets = true; の設定により回避できる可能性があります。この回避は非推奨であることに注意してください。これは安全ではありません。使用すべきではありません
  • After doing the upgrade, many users have problems with pages, which do not appear in their categories although they in fact are categorized correctly. In many cases this is a problem with the job queue. The issue people usually have is that pages do not (in fact: not immediately) appear inside their categories. Reasons may be different: It is possible that the job queue is not working correctly anymore. Please read $wgRunJobsAsync and follow the advice given there in order to solve this issue.
  • RandomRootPage 拡張機能が MediaWiki コアに取り込まれました。インストールしていた場合、アンインストールする必要があります。
  • ApiSandbox 拡張機能が MediaWiki コアに取り込まれました。インストールしていた場合、アンインストールする必要があります。
  • $wgSessionsInObjectCache is deprecated and always true, and thus sessions are no longer stored using PHP's session handling (e.g. session.save_path). If you see issues with loss of session data while logging in, ensure you have a persistent shared cache configured for session storage in $wgSessionCacheType .
  • AuthManager。新しい拡張機能を書いている場合は、必ず Manual:SessionManager and AuthManager に従い、その後 1.27 にアップグレードして使用してください。既存の拡張機能が 1.27 に対応していることを確認する場合は、updating tips を参照してください。

互換性のない拡張機能

この新しいブランチは数多くの拡張機能に後方互換性のない変更をもたらすことに注意してください。これらの拡張機能の多くはまだ更新されていません。更新が必要と認められている拡張機能の一覧を閲覧するには、開かれたサブタスク タスク T110291 を参照してください。一覧に掲載されているいずれかの拡張機能を使用する場合、プロダクション wiki の更新前に、その環境でも拡張機能が適切に機能するかテストする必要があります。これらの拡張機能を更新するパッチを歓迎します。

リリース日程

1.27 のポイントリリースの日付は以下の通りでした:

リリース 日付
1.27.0 2016-06-28[1]
1.27.1 2016-08-22[3]
1.27.2 2017-04-06[4]
1.27.3 2017-04-30[5]
1.27.4 2017-11-14[6]
1.27.5 2018-09-20[7]
1.27.6 2019-06-06[8]
1.27.7 2019-06-07[9]


下位ページ